
/*
 * $Id: globals.h,v 1.11 1999/09/17 23:54:47 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef PG_GLOBALS_H
#define PG_GLOBALS_H

#include "LibInit.h"

// argv[0]
class String;
extern String ThePrgName;

class PortMgr;
extern PortMgr *ThePortMgr;

class FileScanner;
extern FileScanner *TheFileScanner;

class StatPhaseMgr;
extern StatPhaseMgr TheStatPhaseMgr;

LIB_INITIALIZER(GlobInit)

#endif
